//****************************************************************************
//
// File         : console.h
//
// Description  : Console header file.
//                Written by Lars Andersson (lars_and@algonet.se), 1998
//
//****************************************************************************

#ifndef CONSOLE_H
#define CONSOLE_H

#define QUIT 1

#define COMMAND_MODE 0
#define COMMAND_TMAP 1

//--- Function declarations -------------------------------------------------

int     Init_Console(void);
void    Close_Console(void);
int     Console(void);
void    Process_Command(char *command);
void    Redraw_Console(void);

void    CPutStr(char *str, char color);
void    CGetStr(char *str, char color);
void    CNewLine(void);
void    BlankOut(int x, int y);
void    Cursor(int x, int y);

#endif
