//****************************************************************************
//
// File        : timer.cpp
//
// Description : DOS/DJGPP Protected mode 1193181 Hz timer routines.
//               Written by Lars Andersson (lars_and@algonet.se), 1997.
//
//****************************************************************************

#include <pc.h>
#include <time.h>

#include "timer.h"

int installed, micros;

void Init_Timer(void)
{
}

void Remove_Timer(void)
{
}

void Reset_Timer(void)
{
    micros = (long)(uclock());
}

unsigned long Read_Timer(void)
{
    return((long)uclock());
}

unsigned long Elapsed_Ticks(void)
{
    return((long)uclock() - micros);
}
