//****************************************************************************
//
// File         : memory.h
//
// Description  : Simple memory management functions.
//                Modified by Lars Andersson (lars_and@algonet.se), 1998
//
//****************************************************************************

#ifndef MEMORY_H
#define MEMORY_H

//--- Function declarations -------------------------------------------------

void    *AllocMem(unsigned long size);
void    *ReAllocMem(void *address, unsigned long size);
void    FreeMem(void *address);
void    FreeAll(void);

#endif
