//****************************************************************************
//
// File        : timer.cpp
//
// Description : Linux/GCC microsecond timer routines.
//               Written by Lars Andersson (lars_and@algonet.se), 1997.
//
//****************************************************************************

#include <sys/time.h>
#include <unistd.h>

#include "timer.h"

int 	installed, micros;
timeval timer;

void Init_Timer(void)
{
}

void Remove_Timer(void)
{
}

void Reset_Timer(void)
{
    gettimeofday(&timer, NULL);
    micros = timer.tv_usec;
}

unsigned long Read_Timer(void)
{
}

unsigned long Elapsed_Ticks(void)
{
    int elapsed;
    gettimeofday(&timer, NULL);
    elapsed = timer.tv_usec - micros;
    if (elapsed < 0) return(TICKS_PER_SECOND + elapsed); else return(elapsed);	
}
